Skip to main content

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Query Parameters

external_vendor
enum<string>
default:techwolf

The external vendor vocabulary you want to get Taxonomy changes from. Defaults to TechWolf if not specified. This parameter filters changes to only include vendor-aware operations for the specified vendor, or vendor-unaware operations that apply to all vendors.

Available options:
techwolf,
workday,
sap_attribute_library
Example:

"workday"

Body

application/json
limit
integer
required

The maximal number of Taxonomy changes returned per page. Used for keyset pagination.

Required range: 1 <= x <= 200
Example:

100

starting_after
string

The external_id of the Taxonomy change to continue looking from. Use this value from the next_starting_after field in the previous response to get the next page of results.

Maximum string length: 100
Example:

"5a149aca-671a-4eb1-9fe8-37673c11e6ef"

filters
(operation_type_is_in_list · object | external_id_is_in_list · object | timestamp · object)[]

A list of filters to apply on the Taxonomy changes. Supported filters include filtering by operation type, external ID, and timestamp.

Example:

Response

OK

Default structure for Taxonomy changes export (POST endpoint).

has_next
boolean
required

Whether there are more Taxonomy changes available after the current page.

Example:

true

records
object[]
required

List of Taxonomy changes returned for the current page, ordered by timestamp.

next_starting_after
string

The external_id of the last Taxonomy change in the current page. Use this value as starting_after in the next request to get the next page of results. Only present when has_next is true.

Example:

"5a149aca-671a-4eb1-9fe8-37673c11e6ef"